Bug 978557 - Installer creates empty SHA256SUM file when no natives are installed
Installer creates empty SHA256SUM file when no natives are installed
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: EAP 6.1.1
Assigned To: Thomas Hauser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 15:26 EDT by Thomas Hauser
Modified: 2013-09-16 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:20:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Hauser 2013-06-26 15:26:58 EDT
Description of problem:
The installer erroneously creates an empty SHA256SUM file, even when no natives are installed.

Version-Release number of selected component (if applicable):
EAP 6.1.1 ER1 installer.

How reproducible:
Always.

Steps to Reproduce:
1. Install EAP 6.1.1 with the GUI installer with any options.

Actual results:
Installation succeeds, but there is a SHA256SUM file present with no contents.

Expected results:
This file should not exist.

Additional info:
Comment 1 Thomas Hauser 2013-06-26 15:28:24 EDT
I have fixed this issue with commit 0a3d409d596f0d152c67e06d120b3cfd6555198f on the jbossas-installer repository. Will be in subsequent installer builds.
Comment 2 Thomas Hauser 2013-06-26 15:30:03 EDT
Actually, it is commit 70d29d3f6dff45e337b5935284f0dba671226bbf.
Comment 4 Petr Kremensky 2013-07-08 10:22:16 EDT
Verified on EAP 6.1.1 ER2

Note You need to log in before you can comment on or make changes to this bug.